<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjUserSearchHistoryModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'search_history';

	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'locale_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'fleet_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'price_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'from_city', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'to_city', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'extra_city', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'from_city_postalcode', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'extra_stop_postalcode', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'to_city_postalcode', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'extra_stop_distance', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'extra_stop_address', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'pickup_address', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'return_address', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'booking_date', 'type' => 'datetime', 'default' => ':NULL'),
		array('name' => 'booking_time', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'extra_stop', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'return_status', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'return_date', 'type' => 'datetime', 'default' => ':NULL'),
		array('name' => 'return_time', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'passengers', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'luggage', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'distance', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'created', 'type' => 'datetime', 'default' => ':NOW()'),
		array('name' => 'ip', 'type' => 'varchar', 'default' => ':NULL'),
	);
	
	
	public static function factory($attr=array())
	{
		return new pjUserSearchHistoryModel($attr);
	}
}
?>